package com.mx.cneeds.server.device.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.server.entity.DeviceInfoChannelEntity;

import java.util.List;

/**
 * 
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-18 14:44:30
 */
public interface DeviceInfoChannelService extends IService<DeviceInfoChannelEntity> {


    List<DeviceInfoChannelEntity> queryDeviceInfoChannelByDeviceId(Long deviceId);

    List<DeviceInfoChannelEntity> queryDeviceInfoChannelByChannelId(Long channelId);

    void removeDeivceInfoChannelByChannelId(List<Long> channelIds);

    void removeDeivceInfoChannelByDeviceIdAndChannelId(Long channelId, List<Long> deviceIds);

    void removeDeivceInfoChannelByDeviceIds(List<Long> deviceIds);

    List<DeviceInfoChannelEntity> queryDeviceInfoChannelByChannelIds(List<Long> channelIds);

    List<DeviceInfoChannelEntity> queryDeviceInfoChannelByDeviceIds(List<Long> deviceIds);
}

